          Kermit is a file transfer program.  It allows  the  transfer
          of files over terminal lines from a remote Kermit program to
          the local Kermit program.

          Commands available in version 2.0 of Kermit-65 are:

          BYE       CONNECT   EXIT      FINISH    GET       QUIT
          RECEIVE   SEND      SET       SHOW      STATUS

BYE       This command will cause  Kermit-65  to tell a server Kermit
          at the other end of the connection to exit from Kermit and,
          if applicable, terminate its job (or  process, etc.).  When
          Kermit-65  receives the acknowledgement that this is  being
          done, it will exit to DOS.

                    KERMIT-65>BYE


CONNECT   The  CONNECT  command will allow you to connect to a  remote
          job over the terminal line as a virtual terminal. The format
          of the CONNECT command is:

                    KERMIT-65>CONNECT


EXIT      The EXIT command will cause Kermit to return to DOS  command
          level.   This  command  is the same as the QUIT command.  An
          example of this command is:

                    KERMIT-65>EXIT


FINISH    This command will cause  Kermit-65  to tell a server Kermit
          at  the  other end of the connection to exit  from  Kermit.
          When  Kermit-65  receives the acknowledgement that  this is
          being done, Kermit-65 will prompt for another command.

                    KERMIT-65>FINISH


GET       This command can only be used in 'user' mode.  It will cause
          Kermit-65  to  request  that the other Kermit (which must be
          running  in  server mode)  transmit  the  specifed  file  to
          Kermit-65.

                    KERMIT-65>GET file-specification

          Where "file-specification" is a valid file specification for
          the system on which the other Kermit is running.


QUIT      This command will cause Kermit-65 to return to  DOS  command
          level. This is the same as the EXIT command.

                    KERMIT-65>QUIT


RECEIVE   The RECEIVE command is used to  put  Kermit-65  into  remote
          mode  waiting for a single file transfer transaction.  If no
          file specification is given, Kermit-65 will wait for a  file
          transfer  initialization sequence from the other Kermit.  If
          a file specification is given, that file specification  will
          be  used  to  store the received file(s), regardless of what
          name is supplied by the other Kermit.

          The format of the command is:

                    KERMIT-65>RECEIVE

          or

                    KERMIT-65>RECEIVE file-specification

          Where  "file-specification"  is  any  valid  Apple DOS  file
          specification.


SEND      The  SEND  command will allow you  to send  a  file  to  the
          other  Kermit.  The command format is:

                    KERMIT-65>SEND file-specification

          Where  "file-specification"  is  any  normal APPLE DOS  file
          specification.


SET       The SET command is used to set various parameters in Kermit.
          The format of the command is:

                    KERMIT-65>SET <option> <suboption> ...

          The options available to SET are:

          DEBUGGING            DEVICE-DRIVER       EIGHT-BIT-QUOTING
          ESCAPE               FILE-BYTE-SIZE      FILE-TYPE
          FILE-WARNING         IBM                 LOCAL-ECHO
          PARITY               RECEIVE             SEND
          SLOT                 VT52-EMULATION

          A description of the options and suboptions follows.


SET DEBUGGING            The SET DEBUGGING command is used to set  the
          debug  type  out on the user's terminal. 

                    KERMIT-65>SET DEBUGGING keyword

          Where keyword is either OFF, TERSE, or VERBOSE.  OFF  causes
          all debugging output to be suppressed.  TERSE directs a copy
          of each packet to the screen printing any control characters
          as '^char'.  VERBOSE  prints identifying text for each field
          in the header  and  prints the actual data  section  of  the
          packet in the same manner TERSE uses.


SET DEVICE-DRIVER        The SET DEVICE-DRIVER command tells Kermit-65
          which communication device is being used and,  thus,  how to
          handle I/O over the port.  With all supported device-drivers
          loaded,  the  options for this command are:  APPLE-COM-CARD,
          DC-HAYES, and SUPER-SER-CARD. APPLE-COM-CARD is the original
          Apple  communication  card for use with  300  baud accoustic
          couplers.  DC-HAYES is the  D.C. Hayes Micromodem II.


SET EIGHT-BIT-QUOTING    This  command  will turn on or turn  off  the
          eight-bit-quoting feature.  If set ON,  it forces  Kermit-65
          to  use  eight-bit-quoting  which may be handy  if  it  must
          receive  a text file in which some or all of the  characters
          are  not in negative ascii.  The command takes  ON or OFF as
          options.


SET ESCAPE               This command will set  the  escape  character
          for  the CONNECT processing.  The command will take the  hex
          value of the character to use as the escape character.  This
          is the character which is used to "escape" back to KERMIT-65
          after using the CONNECT command. It defaults to ^@ (hex 00).
          It is usually a good idea to set this character to something
          which is not used  (or at least not used very much)  on  the
          system to which KERMIT-65 is CONNECTing.

                    KERMIT-65>SET ESCAPE hex-character-value

          Where   hex-character-value  is  the  ASCII  value  of   the
          character to use as the escape character (in hex).


SET FILE-BYTE-SIZE       This command sets  the  byte  size  KERMIT-65
          will use for files being received or transmitted.  SEVEN-BIT
          bytes should be used for ASCII text files which  are  to  be
          used  as text files on the APPLE DOS system. EIGHT-BIT bytes
          should  be  used for binary files being transferred  to  and
          from the Apple.  This allows the file to be returned without
          any changes.

                    KERMIT-65>SET FILE-BYTE-SIZE size

          Where size is SEVEN-BIT or EIGHT-BIT.


SET FILE-TYPE         This  command tells Kermit-65 what type of  file
          is  being  sent  or  received.  It is  important  that  this
          parameter  is  set correctly since it is used  to  determine
          the  exact  file  length when sending files in  addition  to
          determining  special  processing which may have to  be  done
          (i.e.  When  receiving a text  file,  write  all  characters
          in negative ASCII.). The format of this command is:

                    KERMIT-65>SET FILE-TYPE type

          Where  type is APPLESOFT, BINARY, INTEGER, or TEXT.  INTEGER
          and APPLESOFT are the two different flavors of Basic. BINARY
          is  a core image  (and is normally transferred  in eight-bit
          mode).  TEXT is any file of ASCII text (This will be written
          in negative ASCII if the file is being received.).


SET FILE-WARNING         This command determines what  KERMIT-65  will
          do  when  it  receives  a file with a file name that already
          exists.  If FILE-WARNING is turned ON,  KERMIT-65  will  not
          supersede  the old file.  Instead it will create a file with
          the original file name plus a '.0' appended to it.  It  will
          increment the 'version' number until it succeeds in creating
          a  unique file name.  If  FILE-WARNING  is turned  OFF  (the
          default), Kermit-10 will supersede the old file.

                    KERMIT-65>SET FILE-WARNING keyword

          Where keyword is either ON or OFF.


SET IBM                  The  SET IBM  command  allows  KERMIT-65   to
          be  put  into  a  mode  which will allow transfers to an IBM
          host.  This causes KERMIT-65 to wait for the IBM  turnaround
          character (XON, CTRL-Q) before sending any characters to the
          other Kermit.  It also forces the parity type  to  be  mark,
          and turns on local echo for the CONNECT command.

                    KERMIT-65>SET IBM keyword

          Where keyword is either ON or OFF.


SET LOCAL-ECHO           The SET LOCAL-ECHO command specifies  whether
          characters  should  be  echoed  locally  when  CONNECTing to
          another system.  If LOCAL-ECHO is set to ON,  any  character
          typed  on  the  terminal  will  be echoed immediately to the
          terminal, as well as being sent to  the  other  system.   If
          LOCAL-ECHO is set to OFF (the default), the characters typed
          on the terminal are only sent to  the  other  system  (which
          would normally be echoing the characters).

                    KERMIT-65>SET LOCAL-ECHO keyword

          Where keyword is either ON or OFF.


SET PARITY               This command determines the type of parity to
          use   on   the  transmission  line.   Kermit  normally  uses
          characters which consist of eight data bits with  no  parity
          bit.   For  systems  or  transmission  media which require a
          specific parity type, Kermit can send  characters  as  seven
          data bits plus a parity bit.

                    Kermit-10>SET PARITY keyword

          Where keyword is one of:

          1.  NONE (default) - eight data bits and no parity bit.

          2.  MARK - seven data bits with the parity bit set to one.

          3.  SPACE - seven data bits with the parity bit set to zero.

          4.  EVEN - seven data bits with the parity bit set  to  make
              the overall parity even.

          5.  ODD - seven data bits with the parity bit  set  to  make
              the overall parity odd.


SET RECEIVE              It is  possible  to  set  various  parameters
          associated  with  the  receiving of the data from the remote
          Kermit.  SET RECEIVE will enable  you  to  set  the  various
          receive parameters.

          The suboptions of this SET command are:

          EIGHT-BIT-QUOTE-CHAR  END-OF-LINE       PACKET-LENGTH
          PAD-CHAR              PADDING           QUOTE-CHAR
          TIMEOUT


SET RECEIVE EIGHT-BIT-QUOTE-CHAR        This    command    sets    the
          character  to  be  used (when necessary) to quote characters
          which have the eighth bit (parity bit) set.  This is used to
          transfer eight-bit bytes on a transmission medium which only
          supports seven data bits.  The default value  is  26  (ASCII
          "&").  Eight-bit-quoting  will only be used if both Kermit's
          can handle it, and the tranmission medium does not  transmit
          8 data bits (as indicated by the SET PARITY command).

                    KERMIT-65>SET RECEIVE EIGHT-BIT-QUOTE-CHAR nn

          Where  nn  is the ASCII value of the character  (in hex)  to
          use for quoting characters which have the eighth bit set.


SET RECEIVE END-OF-LINE  This will set the end of line  character that
          KERMIT-65  expects  to receive from the remote Kermit.  This
          is the character which terminates  a  packet.   The  default
          value is 0F (ASCII CR, CTRL-M).

                    KERMIT-65>SET RECEIVE END-OF-LINE nn

          Where nn is the ASCII value of the character to use for  the
          end of line character (in hex).


SET RECEIVE PACKET-LENGTH               This  will  set  the   receive
          packet length.  The value for this parameter must be between
          10 and  96.   Packet  lengths  outside  of  this  range  are
          illegal.  The default value is 5E (94 decimal).

                    KERMIT-65>SET RECEIVE PACKET-LENGTH nn


SET RECEIVE PAD-CHAR     This parameter is the padding character  that
          is expected from the remote Kermit.  The parameter must be a
          hex  number  in the range of  0  to  1F  or  7F.  All  other
          values are illegal.  The default value is 0 (an ASCII NUL).

                    KERMIT-65>SET RECEIVE PAD-CHAR nn

          Where nn  is the ASCII value of the character to be used  as
          a pad character (in hex).


SET RECEIVE PADDING      This command will set the number  of  padding
          characters that will be expected from the other Kermit.  The
          default value is 0.

                    KERMIT-65>SET RECEIVE PADDING nn

          Where nn is the hex number of padding characters to use.


SET RECEIVE QUOTE-CHAR   This will  set  the  quoting  character  that
          KERMIT-65  will  expect  on  incoming messages.  This is the
          character used to quote  control  characters.   The  default
          value is 23 (ASCII "#").

                    KERMIT-65>SET RECEIVE QUOTE-CHAR nn

          Where  nn is the ASCII value of the  quoting  character  (in
          hex).


SET RECEIVE TIMEOUT      This  will set the number  of  seconds  after
          which  KERMIT-65  is requesting a timeout  from  the  remote 
          Kermit. This time out is used to handle  transmission errors
          which  totally  lose  a  message.  The  default value is  15
          seconds.

                    KERMIT-65>SET RECEIVE TIMEOUT nn

          Where nn is the number of seconds to wait for a message (in
          hex).


SET SEND  It is possible to set various parameters associated with the
          sending  of  data  to  the  remote  Kermit.  SET  SEND  will
          enable you  to  set  the  various  SEND  parameters.   These
          parameters  should not normally be set since, as part of the
          transfer initialization process, the  two  Kermits  exchange
          their  RECEIVE  parameters.  The capability of setting these
          parameters is provided so that the  transfer  initialization
          can  be  completed  even  if  the default parameters are not
          correct.

          The suboptions of this SET command are:

          EIGHT-BIT-QUOTE-CHAR  END-OF-LINE       PACKET-LENGTH
          PAD-CHAR              PADDING           QUOTE-CHAR
          TIMEOUT


SET SEND EIGTH-BIT-QUOTE-CHAR           This    command    sets    the
          character  to  be  used (when necessary) to quote characters
          which have the eighth bit (parity bit) set.  This is used to
          transfer eight-bit bytes on a transmission medium which only
          supports seven data bits.  The default value  is  26  (ASCII
          "&").  Eight-bit-quoting  will only be used if both Kermit's
          can handle it, and the tranmission medium does not  transmit
          8 data bits (as indicated by the SET PARITY command).

                    KERMIT-65>SET SEND EIGHT-BIT-QUOTE-CHAR nn

          Where  nn  is the ASCII value of the character  (in hex)  to
          use for quoting characters which have the eighth bit set.


SET SEND END-OF-LINE     This will set the end of line  character that
          KERMIT-65  will  send  to  the  remote  Kermit.  This is the
          character which terminates a packet.  The default  value  is
          0F (ASCII CR, CTRL-M).

                    KERMIT-65>SET SEND END-OF-LINE nn

          Where nn is the ASCII value of the character to use  for the
          end of line character (in hex).


SET SEND PACKET-LENGTH   This will set the send  packet  length.   The
          value  for this parameter must be between 10 and 96.  Packet
          lengths outside of this  range  are  illegal.   The  default
          value is 5E (94 decimal).

                    KERMIT-65>SET SEND PACKET-LENGTH nn


SET SEND PAD-CHAR        This parameter is the padding character  that
          is  sent  to  the  remote  Kermit.  The parameter must be an
          hex  number in the range of  0  to  1F  or  7F.   All  other
          values are illegal.  The default value is 0 (an ASCII NUL).

                    KERMIT-65>SET SEND PAD-CHAR nn

          Where nn  is the ASCII value of the character to be used  as
          a pad character (in hex).


SET SEND PADDING         This command will set the number  of  padding
          characters  that  will  be  sent  to  the other Kermit.  The
          default value is 0.

                    KERMIT-65>SET SEND PADDING nn

          Where nn is the hex number of padding characters to use.


SET SEND QUOTE-CHAR      This will  set  the  quoting  character  that
          KERMIT-65  will  send  in  outgoing  messages.  This is  the
          character used to quote  control  characters.   The  default
          value is 23 (ASCII "#").

                    KERMIT-65>SET SEND QUOTE-CHAR nn

          Where nn  is the ASCII value of the  quoting  character  (in
          hex).


SET SEND TIMEOUT         Since  Kermit-65  has  no  clock  to  use, it
          can not timeout. This parameter, therefore is useless.


SET SLOT                 This  command is used to tell Kermit-65 which
          of  the  seven  available  peripheral  slots  contains   the
          communication board. The default is slot two.

                    KERMIT-65>SET SLOT n

          Where  n  is  the  number  of  the  slot   occupied  by  the
          communication device.


SET VT52-EMULATION      This   switch   determines  whether   or   not
          Kermit-65  will  act like a VT52 when it is  CONNECTed to  a
          remote Kermit. The possible values for the switch are ON and
          OFF. The default is ON.

                    KERMIT-65>SET VT52-EMULATION OFF


SHOW      The  SHOW  command  will  allow  you  to  show  the  various
          parameters  that  are  set with the SET command.

          The options available to SET are:

          ALL                  DEBUGGING           DEVICE-DRIVER
          EIGHT-BIT-QUOTING    ESCAPE              FILE-BYTE-SIZE
          FILE-TYPE            FILE-WARNING        IBM
          LOCAL-ECHO           PARITY              RECEIVE
          SEND                 SLOT                VT52-EMULATION

          A description of the options and suboptions follows.


SHOW ALL  The SHOW ALL command will cause all of the parameters to  be
          listed.


SHOW DEBUGGING          Display  whether  debugging  is  off, in terse
          mode, or in verbose mode.


SHOW DEVICE-DRIVER      This  command displays the  identification  of
          the device driver code being used by Kermit-65.  At present,
          it   may   be   set   to   APPLE-COM-CARD,    DC-HAYES,   or
          SUPER-SER-CARD.


SHOW EIGHT-BIT-QUOTING  Shows   whether  or  not  Kermit-65  is  using
          eight-bit-quoting on file transfers.


SHOW ESCAPE             This  will display  the character  being  used
          to escape from a connection to a remote Kermit.


SHOW FILE-BYTE-SIZE     This  command shows whether Kermit is treating
          seven  bits or all eight bits as significant when writing to
          a file.


SHOW FILE-TYPE          Shows  what type of file  Kermit-65 is reading
          or writing.


SHOW FILE-WARNING       Shows whether or not Kermit-65 will check if a
          file  exists on receive, and try to modify the name used for
          the file if it does.


SHOW IBM                Shows  whether or not Kermit-65 is being  used
          to talk to an IBM mainframe.


SHOW LOCAL-ECHO         Shows  whether  or not Kermit-65 will  print a
          copy of characters on the screen which are typed by the user
          and sent to the mainframe during connect processing.
   

SHOW PARITY             Shows   the  type  of  parity  being  used  by
          Kermit-65 in order to talk to the other Kermit.


SHOW RECEIVE            Shows  the  setting of  a  particular  receive
          packet parameter. The suboptions available are:

          EIGHT-BIT-QUOTE-CHAR  END-OF-LINE       PACKET-LENGTH
          PAD-CHAR              PADDING           QUOTE-CHAR
          TIMEOUT

          These are analogous to the SET RECEIVE options given above.


SHOW SEND               Shows   the  setting  of  a  particular   send
          packet parameter. The suboptions available are:

          EIGHT-BIT-QUOTE-CHAR  END-OF-LINE       PACKET-LENGTH
          PAD-CHAR              PADDING           QUOTE-CHAR
          TIMEOUT

          These are analogous to the SET SEND options given above.


SHOW SLOT               Displays  the peripheral slot  which  contains
          the communication device.


SHOW VT52-EMULATION     Shows  whether or not Kermit-65 is acting like
          a  VT52  when  talking  to  another  Kermit  during  connect
          processing.


STATUS    The current status of Kermit-65  will  be  displayed.   This
          includes  the  number  of characters that have been sent and
          received from  the  remote  Kermit.   Also  included  is the
          amount of characters which were actual data and the overhead
          for both send and receive.
